Catalyst Pipelines
Catalyst Pipelines is a Catalyst CI/CD service that enables you to automate the build, test, and deploy processes of your applications. You can create-a-pipeline from the Catalyst console. We will be discussing the APIs that can be leveraged to trigger the pipeline and get the details of an existing pipeline in the next sections.
Get Pipeline Details
This API enables you to fetch the details of a pipeline created in the Catalyst console. This can be done by passing the pipeline_id and the project_id in the request URL. The API fetches the details of the project in which the pipeline is created and the details of the pipeline.
Request Details
Request URL
{api-domain}/baas/v1/project/{project_id}/pipeline/{pipeline_id}
The unique ID of the project in which the pipeline has been created
The unique ID of the pipeline for which the details have to be fetched.
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Content-Type: application/json
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
Scope
pipeline.READ
Response Details
The pipeline details object will be returned as a response. It includes the details such as the name of the pipeline, details of the project including the project_name and project_type, the details of the user who has created the pipeline including the user_id, email_id, first_name, last_name and user_type, the status of the pipeline, the details of the users who had modified the pipeline along with the modified time details and also the default runner configuration of the pipeline.
curl -X GET
https://api.catalyst.zoho.com/baas/v1/project/4000000006007/pipeline/29810101101
-H “Authorization: Zoho-oauthtoken 1000.91016.2f57” \
{
“status”: “success”,
“data”: {
“pipeline_id”: “29810101101”,
“name”: “test1”,
“project_details”: {
“project_name”: “Project-Rainfall”,
“id”: “4000000006007”,
“project_type”: “Live”
},
“created_by”: {
“zuid”: “20257791”,
“is_confirmed”: false,
“email_id”: “amelia.burrows@zylker.com”,
“first_name”: “Amelia”,
“last_name”: “Burrows”,
“user_type”: “Admin”,
“user_id”: “5000000000056”
},
“created_time”: “Mar 19, 2024 11:28 AM”,
“modified_by”: {
“zuid”: “20257791”,
“is_confirmed”: false,
“email_id”: “amelia.burrows@zylker.com”,
“first_name”: “Amelia”,
“last_name”: “Burrows”,
“user_type”: “Admin”,
“user_id”: “5000000000056”
},
“modified_time”: “Mar 19, 2024 11:28 AM”,
“git_account_id”: “”,
“mask_regex”: [
null
],
“pipeline_status”: “Active”,
“config_id”: 2,
“integ_id”: 1
}
}
Yes
No
Send your feedback to us